Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.groupby
Class GroupByData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.groupby.GroupByData

All Implemented Interfaces:
  StepDataInterface

    public class GroupByData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`Object[]` | `agg`
`org.pentaho.di.core.row.RowMetaInterface` | `aggMeta`
`ArrayList<Object[]>` | `bufferList`
`long[]` | `counts`
`List<Integer>` | `cumulativeAvgSourceIndexes`
`List<Integer>` | `cumulativeAvgTargetIndexes`
`List<Integer>` | `cumulativeSumSourceIndexes`
`List<Integer>` | `cumulativeSumTargetIndexes`
`DataInputStream` | `dis`
`DataOutputStream` | `dos`
`boolean` | `firstRead`
`FileInputStream` | `fis`
`FileOutputStream` | `fos`
`org.pentaho.di.core.row.RowMetaInterface` | `groupAggMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `groupMeta`
`int[]` | `groupnrs`
`Object[]` | `groupResult`
`boolean` | `hasOutput`
`org.pentaho.di.core.row.RowMetaInterface` | `inputRowMeta`
`double[]` | `mean`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `previous`
`long[]` | `previousAvgCount`
`Object[]` | `previousAvgSum`
`Object[]` | `previousSums`
`int` | `rowsOnFile`
`int[]` | `subjectnrs`
`File` | `tempFile`
`org.pentaho.di.core.row.ValueMetaInterface` | `valueMetaInteger`
`org.pentaho.di.core.row.ValueMetaInterface` | `valueMetaNumber`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`GroupByData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### previous

    public Object[] previous

### aggMeta

    public org.pentaho.di.core.row.RowMetaInterface aggMeta

### agg

    public Object[] agg

### groupMeta

    public org.pentaho.di.core.row.RowMetaInterface groupMeta

### groupAggMeta

    public org.pentaho.di.core.row.RowMetaInterface groupAggMeta

### groupnrs

    public int[] groupnrs

### subjectnrs

    public int[] subjectnrs

### counts

    public long[] counts

### bufferList

    public ArrayList<Object[]> bufferList

### tempFile

    public File tempFile

### fos

    public FileOutputStream fos

### dos

    public DataOutputStream dos

### rowsOnFile

    public int rowsOnFile

### firstRead

    public boolean firstRead

### fis

    public FileInputStream fis

### dis

    public DataInputStream dis

### groupResult

    public Object[] groupResult

### hasOutput

    public boolean hasOutput

### inputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface inputRowMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### cumulativeSumSourceIndexes

    public List<Integer> cumulativeSumSourceIndexes

### cumulativeSumTargetIndexes

    public List<Integer> cumulativeSumTargetIndexes

### cumulativeAvgSourceIndexes

    public List<Integer> cumulativeAvgSourceIndexes

### cumulativeAvgTargetIndexes

    public List<Integer> cumulativeAvgTargetIndexes

### previousSums

    public Object[] previousSums

### previousAvgSum

    public Object[] previousAvgSum

### previousAvgCount

    public long[] previousAvgCount

### valueMetaInteger

    public org.pentaho.di.core.row.ValueMetaInterface valueMetaInteger

### valueMetaNumber

    public org.pentaho.di.core.row.ValueMetaInterface valueMetaNumber

### mean

    public double[] mean

Constructor Detail

### GroupByData

    public GroupByData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD